/**
 * Each room has an arbitrarily set difficulty of 0, 1, 2, 5, or 10. The floor generation algorithm
 * attempts to generates floors with a combined difficulty of a certain value.
 */
export declare enum RoomDifficulty {
    /**
     * Rooms set to difficulty 0 will never be generated by the floor generation algorithm and are
     * effectively removed from the game.
     */
    ALWAYS_EXCLUDED = 0,
    VERY_EASY = 1,
    EASY = 2,
    MEDIUM = 5,
    HARD = 10
}
//# sourceMappingURL=RoomDifficulty.d.ts.map